package com.qmth.boot.tools.signature;

public enum SignatureType {

    SECRET("Secret"), TOKEN("Token");

    private String name;

    private SignatureType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static SignatureType findByName(String name) {
        for (SignatureType type : SignatureType.values()) {
            if (type.getName().equals(name)) {
                return type;
            }
        }
        return null;
    }
}
